/*
 * Code Mercenaries Hard- und Software GmbH
 * Karl-Marx-Strasse 147A
 * 12529 Schönefeld
 * Deutschland
 *
 * Dec 2016
 *
 * */

//default I2C address
#define LW14_I2CADR         0x23

//mode
#define LW14_MODE_DACP      0x00
#define LW14_MODE_CMD       0x01

//register
#define LW14_REG_STATUS 	0x00
#define LW14_REG_CMD    	0x01
#define LW14_REG_CONFIG 	0x02
#define LW14_REG_SIGNATURE 	0xF0
#define LW14_REG_ADDR   	0xFE

//DALI command codes
#define LW14_CC_OFF                  0x00
#define LW14_CC_UP                   0x01
#define LW14_CC_DOWN                 0x02
#define LW14_CC_STEP_UP              0x03
#define LW14_CC_STEP_DOWN            0x04
#define LW14_CC_MAX_LEVEL            0x05
#define LW14_CC_MIN_LEVEL            0x06
#define LW14_CC_STEP_DOWN_AND_OFF    0x07
#define LW14_CC_ON_AND_STEP_UP       0x08
#define LW14_CC_ENABLE_DAPC_SEQUENCE 0x09
#define LW14_CC_GO_TO_SCENE          0x10 //possible values from 0x10 to 0x1F
